"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = tslib_1.__importDefault(require("chalk"));
const getInstallCmd_1 = tslib_1.__importDefault(require("./getInstallCmd"));
const Output = tslib_1.__importStar(require("./output"));
exports.installing = function (packages) {
    const pkgText = packages
        .map(function (pkg) {
        return `    ${chalk_1.default.cyan(chalk_1.default.bold(pkg))}`;
    })
        .join('\n');
    return `Installing npm modules:
${pkgText}
`;
};
exports.start = async function (projectName) {
    const cmd = await getInstallCmd_1.default();
    const commands = {
        install: cmd === 'npm' ? 'npm install' : 'yarn install',
        build: cmd === 'npm' ? 'npm run build' : 'yarn build',
        start: cmd === 'npm' ? 'npm run start' : 'yarn start',
        test: cmd === 'npm' ? 'npm test' : 'yarn test'
    };
    return `
  ${chalk_1.default.green('Awesome!')} You're now ready to start coding.
  
  I already ran ${Output.cmd(commands.install)} for you, so your next steps are:
    ${Output.cmd(`cd ${projectName}`)}  
`;
};
